<script>
 var miPopup
		function modificar(codarticulo){
			miPopup = window.open("modificar.php?codarticulo=" + codarticulo + "&cadena_busqueda=<? echo $cadena_busqueda?>","miwin","width=900,height=650,scrollbars=yes");
			miPopup.focus();
		}
		function borrar(codarticulo){
			miPopup = window.open("borrar.php?codarticulo=" + codarticulo + "&cadena_busqueda=<? echo $cadena_busqueda?>","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
		}
</script>
<?php
   //Invocamos o cargamos el escript de conexion
   require_once("../../../conf/connection.php");
   
   //Cargamos las variables con los datos proporcionados si existen!
  $patron=stripslashes($_POST["patron"]);
  $opcion=stripslashes($_POST["opcion"]);
  $sucu=stripslashes($_POST["sucu"]);

   //Si nos mandaron datos?
   if(isset($patron) && isset($opcion))
   {
	   //Si patron=1 entonces la busqueda sera por la identidad
	   if($opcion==1)
	   {
		   //El asteriscon el la consulta indica todos los campos de la tabla productor
		   //el operador like indica que sera un patron de cadena a buscar
		   //para encontrar una coincidencia!
		   $buscar='select * from articulos where sucu='.$sucu.' AND referencia like \'%'.$patron.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
				<table  width="700" border="0">
				<tr bgcolor="#69BFE0" >
				<td width="87">CODIGO</td>
				<td width="187">FAMILIA</td>
				<td width="152">DESCRIPCION</td>
				 <td width="238">FECHA DE INGRESO</td>
				 <td width="101">STOCK</td>
				
				 <td colspan="3">&nbsp;</td>
				 </tr><?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
					<tr><?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
					 <td><? echo  $row["referencia"] ?></td>
					 <td><? echo $row["codfamilia"] ?></td>
					 <td><? echo $row["descripcion"] ?> </td>
					 <td><? echo $row["fecha_alta"] ?></td>
					 <td><? echo $row["stock"] ?></td>
					 
					 <td width="25" align="right"><a href="#"><img src="../../../images/modificar.png" alt="Modificar" width="16" height="16" onClick="modificar('<? echo  $row["referencia"] ?>')" /> </a></td>
					 
					 <td width="32" align="right"><a href="#"><img src="../../../images/delete.png" alt="Eliminar" width="16" height="16" / onClick="borrar('<? echo  $row["referencia"] ?>')"> </a></td>
				    </tr>
				<? }?>
				</table><br>
				Resultados!
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
			}
	   }
	   
	  //Si patron=2 entonces la busqueda sera por la nombres
	   if($opcion==2)
	   {
		   $patron=strtoupper($patron);
		   //El asteriscon el la consulta indica todos los campos de la tabla personas
		   //el operador like indica que sera un patron de cadena a buscar
		   //para encontrar una coincidencia!
		     $buscar='select * from articulos where sucu='.$sucu.' AND descripcion like \'%'.$patron.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
				?>
			<table  width="700" border="0">
			  <tr bgcolor="#69BFE0" >
			    <td width="87">CODIGO</td>
			    <td width="187">FAMILIA</td>
			    <td width="152">DESCRIPCION</td>
			    <td width="238">FECHA DE INGRESO</td>
			    <td width="101">STOCK</td>
			    <td colspan="3">&nbsp;</td>
		      </tr>
			  <?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
			  <tr>
			    <?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
			    <td><? echo  $row["referencia"] ?></td>
			    <td><? echo $row["codfamilia"] ?></td>
			    <td><? echo $row["descripcion"] ?></td>
			    <td><? echo $row["fecha_alta"] ?></td>
			    <td><? echo $row["stock"] ?></td>
			    <td width="25" align="right"><a href="#"><img src="../../../images/modificar.png" alt="Modificar" width="16" height="16" onclick="modificar('<? echo  $row["referencia"] ?>')" /></a></td>
			    <td width="32" align="right"><a href="#"><img src="../../../images/delete.png" alt="Eliminar" width="16" height="16" / onClick="borrar('<? echo  $row["referencia"] ?>')" /></a></td>
		      </tr>
			  <? }?>
</table>
			<br>
				Resultados!
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
			}
	   }
	   
	   //Si patron=3 entonces la busqueda sera por la apellidos
	   if($opcion==3)
	   {
		   $patron=strtoupper($patron);
		   //El asteriscon el la consulta indica todos los campos de la tabla personas
		   //el operador like indica que sera un patron de cadena a buscar
		   //para encontrar una coincidencia!
		   $buscar='select * from articulos where sucu='.$sucu.' AND codfamilia like \'%'.$patron.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
				?><br>
				Resultados!
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
			}
	   }
   }
    else
   {
	   echo "No han sido enviados datos para consultar aun!";
   }
?>